// Prevent Visual Studio Intellisense from defining _WIN32 and _MSC_VER when we use 
// Visual Studio to edit Linux or Borland C++ code.
#ifdef __linux__
#	undef _WIN32
#endif // __linux__
#if defined(__GNUC__) || defined(__BORLANDC__)
#	undef _MSC_VER
#endif // defined(__GNUC__) || defined(__BORLANDC__)

#ifndef UTILS_H
#define UTILS_H

#include "OSMisc.h"
#include "OSNet.h"
#include "CvUtils.h"

#define MAX_BUF_LEN 256
#define DEFAULT_SOCK_TIMEOUT 10000

EXTERN_C int inittcpcli(SOCKET* pSock, char* address, char* port);
EXTERN_C int setsockettimeouts(SOCKET sock, int timeout);
EXTERN_C int sendall(SOCKET sock, char* sendbuf, int sendbuflen);
EXTERN_C int recvall(SOCKET sock, char* recvbuf, int recvbuflen);
EXTERN_C int recvlatest(SOCKET sock, char* recvbuf, int recvbuflen);
EXTERN_C int recvatleastuntil(SOCKET sock, char* recvbuf, char endchar, int maxrecvbuflen);
EXTERN_C int recvuntil(SOCKET sock, char* recvbuf, char endchar, int maxrecvbuflen);
EXTERN_C int releasetcpcli(SOCKET sock);
EXTERN_C int inittcpsrv(SOCKET* pSock, char* address, char* port, int maxnbcli, int timeout);
EXTERN_C int waitforclifortcpsrv(SOCKET socksrv, SOCKET* pSockCli, int timeout);
EXTERN_C int disconnectclifromtcpsrv(SOCKET sock);
EXTERN_C int releasetcpsrv(SOCKET sock);
EXTERN_C int LaunchSingleCliTCPSrv(char* port, int (*handlecli)(SOCKET, void*), void* pParam);

#endif // UTILS_H
